## leds-alix 0.0.1

=== Makefile ===
# LEDs driver for PCEngines ALIX 2/3 series module Makefile
#
# This file is in the public domain. Permission to use, copy, modify, and
# distribute this software and its documentation for any purpose and without
# fee is hereby granted, without any conditions or restrictions.
# This software is provided “as is” without express or implied warranty.
#
# Adam Cécile (Le_Vert) <gandalf@le-vert.net>, 2008-01-18

KERNEL_VERSION  := `uname -r`
KERNEL_DIR      := /lib/modules/$(KERNEL_VERSION)/build
INSTALL_MOD_DIR := kernel/drivers/leds
PWD             := $(shell pwd)

obj-m := leds-alix.o
SOURCE = $(subst .o,.c,$(obj-m))
MODULE = $(subst .o,.ko,$(obj-m))

all: $(MODULE)

$(MODULE): $(SOURCE)
	$(MAKE) -C $(KERNEL_DIR) SUBDIRS=$(PWD) modules

install: $(MODULE)
	$(MAKE) -C $(KERNEL_DIR) SUBDIRS=$(PWD) INSTALL_MOD_DIR=$(INSTALL_MOD_DIR) modules_install
	depmod -ae

uninstall:
	rm -f /lib/modules/`uname -r`/$(INSTALL_MOD_DIR)/$(MODULE)
	depmod -ae

distclean: clean

clean:
	rm -f *.o *.ko .*.cmd .*.flags *.mod.c Module.symvers
	rm -rf .tmp_versions

=== debian/changelog ===
leds-alix (0.0.1-5) unstable; urgency=medium

  * QA upload.
  * Restore compatibility with Linux before 6.11.
  * dkms.conf: Declare BUILD_EXCLUSIVE_CONFIG="CONFIG_LEDS_CLASS".
  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 10 Feb 2025 18:20:42 +0100

leds-alix (0.0.1-4) experimental; urgency=medium

  * QA upload.
  * Add autopkgtest.
  * Fix building with -Werror=incompatible-pointer-types.
  * d/rules: Switch to dh.
  * Switch to the latest m-a template.
  * Add leds-alix-dkms package.
  * Switch to machine readable copyright.
  * Upload to experimental.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 06 Feb 2025 02:06:53 +0100

leds-alix (0.0.1-3) unstable; urgency=medium

  * QA upload.
  * debian/rules: Generate tarball reproducibly (Closes: #1010378).
  * debian/control: Set Rules-Requires-Root to no.

 -- Vagrant Cascadian <vagrant@reproducible-builds.org>  Fri, 29 Apr 2022 15:28:19 -0700

leds-alix (0.0.1-2) unstable; urgency=medium

  * QA upload.
  * Orphan package.
  * debian/control: Refresh packaging:
    + Add Vcs-* fields.
    + Bump debhelper compat to v13. (Closes: #965619)
    + Bump Standards-Version to 4.6.0.
  * debian/rules: Replace dh_clean -k with dh_prep.
  * Convert source package to "3.0 (quilt)" format.

 -- Boyuan Yang <byang@debian.org>  Sat, 02 Oct 2021 14:08:31 -0400

leds-alix (0.0.1-1.3) unstable; urgency=medium

  * Non-maintainer upload
  * Fix build after removal of SUBDIRS support in Linux 5.3 (Closes: #988558)

 -- Ben Hutchings <benh@debian.org>  Mon, 17 May 2021 00:42:59 +0200

leds-alix (0.0.1-1.2) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Fri, 08 Jan 2021 14:11:25 +0100

leds-alix (0.0.1-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "module fails to compile": apply patch from Federico Brega (include
    linux/module.h).
    Closes: #663052

 -- gregor herrmann <gregoa@debian.org>  Mon, 26 Mar 2012 18:09:41 +0200

leds-alix (0.0.1-1) unstable; urgency=low

  * Initial release (Closes: #461404).

 -- Adam Cécile (Le_Vert) <gandalf@le-vert.net>  Fri, 18 Jan 2008 10:38:23 +0100

=== debian/control ===
Source: leds-alix
Section: kernel
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-dkms,
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://dev.openwrt.org/
Vcs-Git: https://salsa.debian.org/debian/leds-alix.git
Vcs-Browser: https://salsa.debian.org/debian/leds-alix
Testsuite: autopkgtest-pkg-dkms

Package: leds-alix-source
Architecture: all
Multi-Arch: foreign
Depends:
 debhelper-compat (= 13),
 module-assistant,
 ${misc:Depends},
Description: Source for the LEDs driver of PCEngines ALIX 2/3 boards
 This package provides the source code for the leds-alix kernel module.
 .
 PCEngines ALIX boards (version 2/3) have three LEDs on front.
 .
 This driver allow you to power them on/off.

Package: leds-alix-dkms
Architecture: all
Multi-Arch: foreign
Depends:
 dkms,
 ${misc:Depends},
Description: Source for the LEDs driver of PCEngines ALIX 2/3 boards (dkms)
 This package provides the source code for the leds-alix kernel module.
 .
 PCEngines ALIX boards (version 2/3) have three LEDs on front.
 .
 This driver allow you to power them on/off.
 .
 This package uses DKMS to automatically build the leds-alix kernel module.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

include /usr/share/dpkg/pkg-info.mk

MODULE		 = leds-alix
MODSRCPKG	 = $(MODULE)-source

%:
	dh $@ --buildsystem=none

execute_after_dh_install:
	dh_install -p$(MODULE)-dkms Makefile leds-alix.c usr/src/$(MODULE)-$(DEB_VERSION_UPSTREAM)/
# Install the module source.
	dh_install -p$(MODSRCPKG) Makefile leds-alix.c usr/src/modules/$(MODULE)/
# Install the debian directory into the module source.
	dh_install -p$(MODSRCPKG) debian/copyright debian/changelog debian/modules/* usr/src/modules/$(MODULE)/debian/
	dh_install -p$(MODSRCPKG) debian/README.Debian usr/src/modules/$(MODULE)/debian/
# Pack the module source.
	tar c \
		-C debian/$(MODSRCPKG)/usr/src \
		--numeric-owner --owner=0 --group=0 \
		--mode=a=rX,u+w \
		--sort=name \
		--mtime='@$(SOURCE_DATE_EPOCH)' \
		--clamp-mtime \
		--remove-files \
		modules | xz -T1 -9 > debian/$(MODSRCPKG)/usr/src/$(MODULE).tar.xz
	tar tfv debian/$(MODSRCPKG)/usr/src/$(MODULE).tar.xz

=== debian/tests/control ===
Test-Command: env BUILD_EXCLUSIVE_CONFIG="CONFIG_LEDS_CLASS" /usr/share/modass/module-assistant-autopkgtest leds-alix-source
Features: test-name=m-a-autopkgtest
Depends:
 leds-alix-source,
 module-assistant-autopkgtest,
 linux-doc,
Restrictions:
 superficial,
 needs-root,
 breaks-testbed,
 allow-stderr,
